Count a case's messages (internal)

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
GET /admin/case/fetch-messages-count

Counts the conversations linked to the case, their messages and their export copies of messages. Returns 404 for an unknown case. Super admin only.

Query parameters

  • caseId string Required

    The case ID

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • messagesCount number Required

        The number of messages

      • conversationsCount number Required

        The number of conversations

      • exportMessagesCount number Required

        The number of conversations

    • statusCode number Required
    • timestamp string(date-time) Required
GET /admin/case/fetch-messages-count
curl \
 --request GET 'http://api.example.com/admin/case/fetch-messages-count?caseId=683cce0e314514073ab59156' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": {
    "messagesCount": 100,
    "conversationsCount": 100,
    "exportMessagesCount": 100
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}